
# Interface: IColorSelectorConfig

Provides properties for a [color selector](../classes/auwidgetcolorselector.md).

## Hierarchy

* **IColorSelectorConfig**

## Index

### Properties

* [colors](icolorselectorconfig.md#colors)
* [onChange](icolorselectorconfig.md#optional-onchange)
* [popupText](icolorselectorconfig.md#popuptext)
* [svg](icolorselectorconfig.md#optional-svg)
* [text](icolorselectorconfig.md#text)
* [value](icolorselectorconfig.md#value)

## Properties

###  colors

• **colors**: *Array‹IColor›*

An array of colors available for user selection by the user.

___

### `Optional` onChange

• **onChange**? : *Function | Array‹Function›*

A function (`"{{#function <expression>}}"`) or an array of functions. This event triggers when the user changes the text in the widget.

___

###  popupText

• **popupText**: *string*

A text hint.

___

### `Optional` svg

• **svg**? : *string*

___

###  text

• **text**: *string*

A text hint.

___

###  value

• **value**: *any*

The preview of the selected color.
